//公共数据,什么都可往里面传，可用于临时传参
import Taro from '@tarojs/taro'
import { 
    SET_SHOPCOUNT,
    CLEAR_SHOPCOUNT
} from '../constants/common'

export type DataParam = {
    shopCount: number
}

type Action = {
  type?: string,
  data?: DataParam
}



const INIT = {
    shopCount: Taro.getStorageSync('shopCount')?JSON.parse(Taro.getStorageSync('shopCount')):null,
}

export default function counter (state = INIT, action: Action) {
    const {type, data} = action
    switch (type) {
        case SET_SHOPCOUNT:
            Taro.setStorageSync('shopCount',JSON.stringify(data))
            return {...state,...data}
        case CLEAR_SHOPCOUNT:
            Taro.removeStorageSync('shopCount')
            return {...state, shopCount: null}
        default:
            return state
    }
}